Bug 718170 - (CVE-2011-2514) CVE-2011-2514 icedtea-web: Java Web Start security warning dialog manipulation
CVE-2011-2514 icedtea-web: Java Web Start security warning dialog manipulation
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20110720,repor...
: Security
Depends On: 718180 718181 723556
Blocks: 717859
  Show dependency treegraph
 
Reported: 2011-07-01 05:16 EDT by Tomas Hoger
Modified: 2016-03-01 04:28 EST (History)
6 users (show)

See Also:
Fixed In Version: icedtea-web 1.0.4, icedtea-web 1.1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 11:06:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2011-07-01 05:16:31 EDT
Omair Majid discovered a flaw in the JNLP (Java Network Launching Protocol) implementation used in IcedTea-web. An unsigned Java Web Start application could use this flaw to manipulate content of the Security Warning dialog to show different file name than the one access to which was requested by the applications. This could confuse user to grant unintended access to local files.

Note: This issue does not affect JNLP implementation as currently used in IcedTea, as it contains older version of the code that does not include file name in the access request prompt. Instead the prompt says "The application has requested (read|write) access to a file on the machine. Do you want to allow this action?", which does not allow user to determine which file the application requests access to.
Comment 5 errata-xmlrpc 2011-07-27 10:52:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1100 https://rhn.redhat.com/errata/RHSA-2011-1100.html
Comment 6 Tomas Hoger 2011-07-27 11:06:24 EDT
Also fixed in Fedora FEDORA-2011-9541.

Note You need to log in before you can comment on or make changes to this bug.